<?php
	global $newarfpaypalversion,$wpdb;

if ( version_compare( $newarfpaypalversion, '1.3.1', '<' ) ) {
	global $wpdb;
	$wpdb->query( 'ALTER TABLE ' . $arf_paypal->db_paypal_order . ' ADD `payer_name` VARCHAR(255) NULL AFTER `payer_email` ' );
}

if ( version_compare( $newarfpaypalversion, '1.4', '<' ) ) {
	$args  = array(
		'role'   => 'administrator',
		'fields' => 'id',
	);
	$users = get_users( $args );
	if ( count( $users ) > 0 ) {
		foreach ( $users as $key => $user_id ) {
			$userObj            = new WP_User( $user_id );
			$paypalcapabilities = array(
				'arfpaypalconfiguration' => esc_html__( 'Configure PayPal Forms', 'ARForms-paypal' ),
				'arfpaypaltransaction'   => esc_html__( 'View PayPal Transactions', 'ARForms-paypal' ),
			);
			$arfroles           = $paypalcapabilities;

			$userObj = new WP_User( $user_id );
			foreach ( $arfroles as $arfrole => $arfroledescription ) {
				$userObj->add_cap( $arfrole );
			}
			unset( $arfrole );
			unset( $arfroles );
			unset( $arfroledescription );
		}
	}
}

update_option( 'arf_paypal_version', '1.9' );

global $newarfpaypalversion;
$newarfpaypalversion = '1.9';
